> For the complete documentation index, see [llms.txt](https://docs.omics.ai/products/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.omics.ai/products/command-line-interface/reference/workbench/runs-tasks-list.md).

# runs tasks list

## Synopsis

```shell
omics workbench runs tasks list
  [--max-results=NUMBER]
  [--page=NUMBER]
  [--page-size=NUMBER]
  [--run=RUN_ID]
```

## Description

List all the tasks within a run, fetching each page of data sequentially and printing it to the console.

## Examples

```shell
omics workbench runs tasks list --run e5ed2c8f-d570-42db-a897-0861d7f828d2
```

## Flags

### `--max-results`=`NUMBER`

Limit the maximum number of results printed to the console.

### `--page`=`NUMBER`

Used to set the offset page number. This allows for jumping into an arbitrary page of results.

### `--page-size`=`NUMBER`

Used to set the number of results returned per page (default 100). Reducing the page size can help with poor internet connections.

### `--run`=`RUN_ID`

The ID of the run you would like to list tasks from. This can be retrieved from the [runs list](/products/command-line-interface/reference/workbench/runs-list.md) command or directly from [workbench](https://workbench.omics.ai).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.omics.ai/products/command-line-interface/reference/workbench/runs-tasks-list.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
